POST Init application
Initial loading of the brand-specific and application-specific settings to initialize the flow
Headers
- Type: stringAcceptrequired
Accept header
- Type: stringAuthorizationrequired
Authorization header
- Type: stringContent
- Type requiredContent-Type header
- Type: stringA
P I - V E R S I O N requiredAPI version
- Type: stringApplicationrequired
Application key
- Type: stringX
- Request - I D requiredUnique request identifier
- enumX
- Q B - Enabled requiredHeader which if sent with value 'true' will allow usage of the query building feature in response (through the request's query params). It is mandatory for this part of the documentation.
values- true
- false
Body
application/json
Empty object
Responses
- application/json
- 400
Bad Request
- 401
Unauthorized
- 403
Forbidden
- 404
Not Found
Request Example for post/init-application
curl https://api-public-demo.menu.app/api/init-application \
--request POST \
--header 'Accept: application/json' \
--header 'Authorization: ' \
--header 'Content-Type: application/json' \
--header 'API-VERSION: ' \
--header 'Application: ' \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
--header 'X-QB-Enabled: true' \
--data '{}'
{
"status": "OK",
"code": 200,
"data": {
"key": "d2e98e653952a1845c199cceb8f3322c",
"brand": {
"id": "ea3c2a24-6210-40b3-84ef-447ee9d471b9",
"name": "Kauwela Austin 2",
"customization_set_id": "VhRabf2hKRQvVV",
"auth_type_id": 2,
"optin_type_id": 1,
"has_coupons": true,
"has_rewards": false,
"show_tax_on_receipt": true,
"threeds_status": 2,
"liability_shift_status": 1,
"fraud_detection_step": 1,
"order_regret_buffer": 3,
"order_regret_status": 2,
"sms_sender_id": "Kauwela",
"facebook_app_key": 1654669994729986,
"discount_venue_ids": [
"b8baafab-3f22-11ed-936c-1a67b454859d"
],
"discount_chain_ids": [
"b8baafab-3f22-11ed-936c-1a67b454859d"
],
"loyalty_id": "ed1ba4dc-24dc-494d-bb88-fd2aa61508e6\t",
"loyalty_venue_ids": [
"b8baafab-3f22-11ed-936c-1a67b454859d"
],
"language_id": 2,
"loyalty_chain_ids": [
"b8bbb24d-3f22-11ed-936c-1a67b454859d"
],
"image": {
"thumbnail_small": "https://s3.eu-central-1.amazonaws.com/api.playground/images/brand_images/_thumbs280/2021-06-23/691617128022dc760c0570135953835b.png",
"thumbnail_medium": "https://s3.eu-central-1.amazonaws.com/api.playground/images/brand_images/_thumbs720/2021-06-23/691617128022dc760c0570135953835b.png",
"fullsize": "https://s3.eu-central-1.amazonaws.com/api.playground/images/brand_images/2021-06-23/691617128022dc760c0570135953835b.png"
},
"available_payment_methods": [
{
"payment_method_id": "9b7d1577-0d3f-4839-a01c-6230419bfc35",
"payment_method_type_id": 1,
"payment_method_brand": "Cash",
"payment_processor_type_id": 32,
"payment_processor_id": "01a40818-f7ff-4716-a956-6742c67c72f5",
"properties": {}
}
],
"calculation_method": "inclusive",
"imprint": "\"\"",
"timezone": {
"name": "America/Los_Angeles",
"offset": "-07:00"
},
"foodspot_marketing_url": "\"\"",
"feedback_settings": {
"id": 17,
"brand_id": 17,
"allows_general_feedback": false,
"allows_order_feedback": false,
"order_feedback_frequency": 0,
"order_feedback_buffer": 0
},
"demographics": [
{
"id": "0c9ff9ec-94cd-4151-8510-8ad101410bfe",
"reference_type": "BirthDate",
"type_id": 1,
"format": "\"\"",
"is_required": false,
"is_enabled": false
}
],
"is_auto_cache_supported": false,
"use_logo_for_slips": false,
"is_invalidation_log_on": false,
"has_web_app": true,
"has_mobile_app": true,
"use_firebase_dynamic_links": false,
"firebase_dynamic_links_config": null,
"use_first_delivery_venue": true,
"price_configuration": null,
"used_price_configurations": null,
"allow_item_comments": true,
"store_group_config": [
"plain"
],
"max_prep_time": 90,
"min_prep_time": 2,
"is_customer_last_name_required": true,
"is_phone_number_required": false,
"is_phone_number_unique": false,
"is_password_required": false,
"cookie_settings": {
"id": 13,
"brand_id": "string",
"handling_type": 1,
"is_fullscreen_banner": false,
"is_reject_button": true
},
"currency": {
"id": "7977cc10-9a63-42f0-9b8e-d4dbea7418ed",
"code": "EUR",
"code_numeric": 978,
"symbol": "€",
"rounding_unit": 0.01,
"rounding_unit_tip": 0.01
}
},
"country": {
"id": "36dbf6bc-a3da-4eb4-8bc3-7bd84a181c32",
"currency_id": 1,
"code": "RS",
"name": "Serbia",
"calling_code": "+381",
"distance_unit": "km",
"currency_settings": {
"currency_space": true,
"decimal_separator": ".",
"thousands_separator": ".",
"symbol_position": "left"
}
},
"order_types": [
6
],
"payment_processors": [
{
"id": "eeab3891-405c-445a-b9c9-c57d964deb40",
"type_id": 2
}
],
"fraud_detection_processors": [
{}
],
"available_payment_methods": {
"payment_method_id": "9b7d1577-0d3f-4839-a01c-6230419bfc35",
"payment_method_type_id": 1,
"payment_method_brand": "Cash",
"payment_processor_type_id": 32,
"payment_processor_id": "01a40818-f7ff-4716-a956-6742c67c72f5",
"properties": {}
}
}
}